package com.ruoyi.ibs.grid.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 自定义地图客户明细统计_零售对象 grid_shape_cust_lingshou_965
 * 
 * @author ruoyi
 * @date 2025-05-08
 */
public class GridShapeCustLingshou extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 客户名称 */
    @Excel(name = "客户名称")
    private String custName;

    /** 客户证件号 */
    @Excel(name = "证件号")
    private String custIdc;

    /** 客户内码 */
    @Excel(name = "客户内码")
    private String custIsn;

    /** 活期存款余额 */
    @Excel(name = "活期存款余额")
    private String curBalD;

    /** 定期存款余额 */
    @Excel(name = "定期存款余额")
    private String curBalT;

    /** 贷款余额 */
    @Excel(name = "贷款余额")
    private String balLoan;

    /** 五级不良贷款余额 */
    @Excel(name = "五级不良贷款余额")
    private String curBal5Bad;

    /** 活期存款年日均 */
    @Excel(name = "活期存款年日均")
    private String curDAve;

    /** 定期存款年日均 */
    @Excel(name = "定期存款年日均")
    private String curTAve;

    /** 贷款年日均 */
    @Excel(name = "贷款年日均")
    private String loanAve;

    /** 是否建档 */
    @Excel(name = "是否建档")
    private String isPh;

    /** 是否授信 */
    @Excel(name = "是否授信")
    private String isSx;

    /** 是否合同签约 */
    @Excel(name = "是否合同签约")
    private String isYxht;

    /** 是否持有信用卡 */
    @Excel(name = "是否持有信用卡")
    private String isXyk;

    /** 是否开通丰收互联 */
    @Excel(name = "是否开通丰收互联")
    private String fshl;

    /** 是否办理收单 */
    @Excel(name = "是否办理收单")
    private String isSd;

    /** 是否办理etc */
    @Excel(name = "是否办理etc")
    private String etc;

    /** 是否代扣电费 */
    @Excel(name = "是否代扣电费")
    private String dian;

    /** 是否贷款黑名单 */
    @Excel(name = "是否贷款黑名单")
    private String isBlack;

    /** 是否五级不良贷款客户 */
    @Excel(name = "是否五级不良贷款客户")
    private String isBad;

    /** 归属区域编码 */
//    @Excel(name = "归属区域编码")
    private String shapeId;

    /** 部室归属 0零售 1公司 2运管 */
//    @Excel(name = "部室归属 0零售 1公司 2运管")
    private String opsDept;

    /** 客户类型 */
//    @Excel(name = "客户类型")
    private String custType;

    @Excel(name = "近365天有无走访")
    private String is365zf;
    @Excel(name = "近180天有无走访")
    private String is180zf;
    @Excel(name = "近90天有无走访")
    private String is90zf;
    @Excel(name = "近30天有无走访")
    private String is30zf;

    public void setCustName(String custName) 
    {
        this.custName = custName;
    }

    public String getCustName() 
    {
        return custName;
    }
    public void setCustIdc(String custIdc) 
    {
        this.custIdc = custIdc;
    }

    public String getCustIdc() 
    {
        return custIdc;
    }
    public void setCustIsn(String custIsn) 
    {
        this.custIsn = custIsn;
    }

    public String getCustIsn() 
    {
        return custIsn;
    }
    public void setCurBalD(String curBalD) 
    {
        this.curBalD = curBalD;
    }

    public String getCurBalD() 
    {
        return curBalD;
    }
    public void setCurBalT(String curBalT) 
    {
        this.curBalT = curBalT;
    }

    public String getCurBalT() 
    {
        return curBalT;
    }
    public void setBalLoan(String balLoan) 
    {
        this.balLoan = balLoan;
    }

    public String getBalLoan() 
    {
        return balLoan;
    }
    public void setCurBal5Bad(String curBal5Bad) 
    {
        this.curBal5Bad = curBal5Bad;
    }

    public String getCurBal5Bad() 
    {
        return curBal5Bad;
    }
    public void setCurDAve(String curDAve) 
    {
        this.curDAve = curDAve;
    }

    public String getCurDAve() 
    {
        return curDAve;
    }
    public void setCurTAve(String curTAve) 
    {
        this.curTAve = curTAve;
    }

    public String getCurTAve() 
    {
        return curTAve;
    }
    public void setLoanAve(String loanAve) 
    {
        this.loanAve = loanAve;
    }

    public String getLoanAve() 
    {
        return loanAve;
    }
    public void setIsPh(String isPh) 
    {
        this.isPh = isPh;
    }

    public String getIsPh() 
    {
        return isPh;
    }
    public void setIsSx(String isSx) 
    {
        this.isSx = isSx;
    }

    public String getIsSx() 
    {
        return isSx;
    }
    public void setIsYxht(String isYxht) 
    {
        this.isYxht = isYxht;
    }

    public String getIsYxht() 
    {
        return isYxht;
    }
    public void setIsXyk(String isXyk) 
    {
        this.isXyk = isXyk;
    }

    public String getIsXyk() 
    {
        return isXyk;
    }
    public void setFshl(String fshl) 
    {
        this.fshl = fshl;
    }

    public String getFshl() 
    {
        return fshl;
    }
    public void setIsSd(String isSd) 
    {
        this.isSd = isSd;
    }

    public String getIsSd() 
    {
        return isSd;
    }
    public void setEtc(String etc) 
    {
        this.etc = etc;
    }

    public String getEtc() 
    {
        return etc;
    }
    public void setDian(String dian) 
    {
        this.dian = dian;
    }

    public String getDian() 
    {
        return dian;
    }
    public void setIsBlack(String isBlack) 
    {
        this.isBlack = isBlack;
    }

    public String getIsBlack() 
    {
        return isBlack;
    }
    public void setIsBad(String isBad) 
    {
        this.isBad = isBad;
    }

    public String getIsBad() 
    {
        return isBad;
    }
    public void setShapeId(String shapeId) 
    {
        this.shapeId = shapeId;
    }

    public String getShapeId() 
    {
        return shapeId;
    }
    public void setOpsDept(String opsDept) 
    {
        this.opsDept = opsDept;
    }

    public String getOpsDept() 
    {
        return opsDept;
    }
    public void setCustType(String custType) 
    {
        this.custType = custType;
    }

    public String getCustType() 
    {
        return custType;
    }

    public String getIs365zf() {
        return is365zf;
    }

    public void setIs365zf(String is365zf) {
        this.is365zf = is365zf;
    }

    public String getIs180zf() {
        return is180zf;
    }

    public void setIs180zf(String is180zf) {
        this.is180zf = is180zf;
    }

    public String getIs90zf() {
        return is90zf;
    }

    public void setIs90zf(String is90zf) {
        this.is90zf = is90zf;
    }

    public String getIs30zf() {
        return is30zf;
    }

    public void setIs30zf(String is30zf) {
        this.is30zf = is30zf;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("custName", getCustName())
            .append("custIdc", getCustIdc())
            .append("custIsn", getCustIsn())
            .append("curBalD", getCurBalD())
            .append("curBalT", getCurBalT())
            .append("balLoan", getBalLoan())
            .append("curBal5Bad", getCurBal5Bad())
            .append("curDAve", getCurDAve())
            .append("curTAve", getCurTAve())
            .append("loanAve", getLoanAve())
            .append("isPh", getIsPh())
            .append("isSx", getIsSx())
            .append("isYxht", getIsYxht())
            .append("isXyk", getIsXyk())
            .append("fshl", getFshl())
            .append("isSd", getIsSd())
            .append("etc", getEtc())
            .append("dian", getDian())
            .append("isBlack", getIsBlack())
            .append("isBad", getIsBad())
            .append("shapeId", getShapeId())
            .append("opsDept", getOpsDept())
            .append("custType", getCustType())
            .toString();
    }
}
